/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009-2010 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/simplemboxapp.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::simplemboxapp);
#else
SWIG_SHARED_PTR_DERIVED(simplemboxappptr, sstmac::app, sstmac::simplemboxapp);
#endif

%include sstmac/swig/process/app.i
%include sstmac/swig/process/simplembox.i

%include sstmac/process/simplemboxapp.h

